{
  "replace": true,
  "values": [
	"betterfurnacesreforged:copper_upgrade",
	"betterfurnacesreforged:copper_iron_upgrade",
	"betterfurnacesreforged:steel_upgrade",
	"betterfurnacesreforged:steel_gold_upgrade",
	"betterfurnacesreforged:amethyst_upgrade",
	"betterfurnacesreforged:iron_upgrade",
	"betterfurnacesreforged:gold_upgrade",
	"betterfurnacesreforged:diamond_upgrade",
	"betterfurnacesreforged:netherhot_upgrade",
	"betterfurnacesreforged:amethyst_diamond_upgrade",
	"betterfurnacesreforged:platinum_upgrade",
	"betterfurnacesreforged:platinum_netherhot_upgrade",
	"betterfurnacesreforged:fuel_efficiency_upgrade",
	"betterfurnacesreforged:ore_processing_upgrade",
	"betterfurnacesreforged:raw_ore_processing_upgrade",
	"betterfurnacesreforged:advanced_fuel_efficiency_upgrade",
	"betterfurnacesreforged:advanced_ore_processing_upgrade",
	"betterfurnacesreforged:factory_upgrade",
	"betterfurnacesreforged:piping_upgrade",
	"betterfurnacesreforged:autooutput_upgrade",
	"betterfurnacesreforged:autoinput_upgrade",
	"betterfurnacesreforged:redstone_signal_upgrade",
	"betterfurnacesreforged:color_upgrade",
	"betterfurnacesreforged:liquid_fuel_upgrade",
	"betterfurnacesreforged:energy_upgrade",
	"betterfurnacesreforged:blasting_upgrade",
	"betterfurnacesreforged:smoking_upgrade",
	"betterfurnacesreforged:generator_upgrade",
	"betterfurnacesreforged:storage_upgrade",
	"betterfurnacesreforged:ultimate_ore_processing_upgrade",
	"ironchest:iron_to_gold_chest_upgrade",
	"ironchest:gold_to_diamond_chest_upgrade",
	"ironchest:copper_to_iron_chest_upgrade",
	"ironchest:diamond_to_crystal_chest_upgrade",
	"ironchest:wood_to_iron_chest_upgrade",
	"ironchest:wood_to_copper_chest_upgrade",
	"ironchest:diamond_to_obsidian_chest_upgrade",
    "pipez:basic_upgrade",
    "pipez:advanced_upgrade",
    "pipez:improved_upgrade",
    "pipez:ultimate_upgrade",
	"sophisticatedbackpacks:pickup_upgrade",
	"sophisticatedbackpacks:advanced_pickup_upgrade",
	"sophisticatedbackpacks:filter_upgrade",
	"sophisticatedbackpacks:advanced_filter_upgrade",
	"sophisticatedbackpacks:magnet_upgrade",
	"sophisticatedbackpacks:advanced_magnet_upgrade",
	"sophisticatedbackpacks:feeding_upgrade",
	"sophisticatedbackpacks:compacting_upgrade",
	"sophisticatedbackpacks:advanced_compacting_upgrade",
	"sophisticatedbackpacks:void_upgrade",
	"sophisticatedbackpacks:advanced_void_upgrade",
	"sophisticatedbackpacks:restock_upgrade",
	"sophisticatedbackpacks:advanced_restock_upgrade",
	"sophisticatedbackpacks:deposit_upgrade",
	"sophisticatedbackpacks:advanced_deposit_upgrade",
	"sophisticatedbackpacks:refill_upgrade",
	"sophisticatedbackpacks:advanced_refill_upgrade",
	"sophisticatedbackpacks:inception_upgrade",
	"sophisticatedbackpacks:everlasting_upgrade",
	"sophisticatedbackpacks:smelting_upgrade",
	"sophisticatedbackpacks:auto_smelting_upgrade",
	"sophisticatedbackpacks:smoking_upgrade",
	"sophisticatedbackpacks:auto_smoking_upgrade",
	"sophisticatedbackpacks:blasting_upgrade",
	"sophisticatedbackpacks:auto_blasting_upgrade",
	"sophisticatedbackpacks:crafting_upgrade",
	"sophisticatedbackpacks:stonecutter_upgrade",
	"sophisticatedbackpacks:stack_upgrade_starter_tier",
	"sophisticatedbackpacks:stack_upgrade_tier_1",
	"sophisticatedbackpacks:stack_upgrade_tier_2",
	"sophisticatedbackpacks:stack_upgrade_tier_3",
	"sophisticatedbackpacks:stack_upgrade_tier_4",
	"sophisticatedbackpacks:jukebox_upgrade",
	"sophisticatedbackpacks:advanced_jukebox_upgrade",
	"sophisticatedbackpacks:tool_swapper_upgrade",
	"sophisticatedbackpacks:advanced_tool_swapper_upgrade",
	"sophisticatedbackpacks:tank_upgrade",
	"sophisticatedbackpacks:battery_upgrade",
	"sophisticatedbackpacks:pump_upgrade",
	"sophisticatedbackpacks:advanced_pump_upgrade",
	"sophisticatedbackpacks:xp_pump_upgrade",
	"sophisticatedbackpacks:anvil_upgrade",
	"sophisticatedbackpacks:smithing_upgrade",
	"sophisticatedbackpacks:alchemy_upgrade",
	"sophisticatedbackpacks:advanced_alchemy_upgrade",
	"sophisticatedstorage:basic_tier_upgrade",
	"sophisticatedstorage:basic_to_copper_tier_upgrade",
	"sophisticatedstorage:basic_to_iron_tier_upgrade",
	"sophisticatedstorage:basic_to_gold_tier_upgrade",
	"sophisticatedstorage:basic_to_diamond_tier_upgrade",
	"sophisticatedstorage:basic_to_netherite_tier_upgrade",
	"sophisticatedstorage:copper_to_iron_tier_upgrade",
	"sophisticatedstorage:copper_to_gold_tier_upgrade",
	"sophisticatedstorage:copper_to_diamond_tier_upgrade",
	"sophisticatedstorage:copper_to_netherite_tier_upgrade",
	"sophisticatedstorage:iron_to_gold_tier_upgrade",
	"sophisticatedstorage:iron_to_diamond_tier_upgrade",
	"sophisticatedstorage:iron_to_netherite_tier_upgrade",
	"sophisticatedstorage:gold_to_diamond_tier_upgrade",
	"sophisticatedstorage:gold_to_netherite_tier_upgrade",
	"sophisticatedstorage:diamond_to_netherite_tier_upgrade",
	"sophisticatedstorage:pickup_upgrade",
	"sophisticatedstorage:advanced_pickup_upgrade",
	"sophisticatedstorage:filter_upgrade",
	"sophisticatedstorage:advanced_filter_upgrade",
	"sophisticatedstorage:magnet_upgrade",
	"sophisticatedstorage:advanced_magnet_upgrade",
	"sophisticatedstorage:feeding_upgrade",
	"sophisticatedstorage:advanced_feeding_upgrade",
	"sophisticatedstorage:compacting_upgrade",
	"sophisticatedstorage:advanced_compacting_upgrade",
	"sophisticatedstorage:void_upgrade",
	"sophisticatedstorage:advanced_void_upgrade",
	"sophisticatedstorage:smelting_upgrade",
	"sophisticatedstorage:auto_smelting_upgrade",
	"sophisticatedstorage:smoking_upgrade",
	"sophisticatedstorage:auto_smoking_upgrade",
	"sophisticatedstorage:blasting_upgrade",
	"sophisticatedstorage:auto_blasting_upgrade",
	"sophisticatedstorage:crafting_upgrade",
	"sophisticatedstorage:stonecutter_upgrade",
	"sophisticatedstorage:stack_upgrade_tier_1",
	"sophisticatedstorage:stack_upgrade_tier_1_plus",
	"sophisticatedstorage:stack_upgrade_tier_2",
	"sophisticatedstorage:stack_upgrade_tier_3",
	"sophisticatedstorage:stack_upgrade_tier_4",
	"sophisticatedstorage:stack_upgrade_tier_5",
	"sophisticatedstorage:jukebox_upgrade",
	"sophisticatedstorage:advanced_jukebox_upgrade",
	"sophisticatedstorage:pump_upgrade",
	"sophisticatedstorage:advanced_pump_upgrade",
	"sophisticatedstorage:xp_pump_upgrade",
	"sophisticatedstorage:compression_upgrade",
	"sophisticatedstorage:hopper_upgrade",
	"sophisticatedstorage:advanced_hopper_upgrade",
	"sophisticatedstorage:alchemy_upgrade"
  ]
}